signature INTERPRETATION_Q =
  sig
      include INTERPRETATION

      type Quant
      val jeder : Quant
      val ein : Quant
  end

structure Q = 
  struct
    open D  (* die Interpretation von NL benutzen *)

    type Quant = (person -> bool) -> (person -> bool) -> bool

    local 
        val personen = [a,b,c,d,e,f,g,h,i,j,k,l,m,n,p,q,r,s,t,u,v,w]
    in
       fun jeder F G =  List.all G (List.filter F personen)
       fun ein F G  = List.exists G (List.filter F personen)
    end
  end

